# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sun Nov 20 20:21:46 2022
# ------------------------------------------------

package:
  name: zstandard
  version: 0.19.0
source:
  sha256: 31d12fcd942dd8dbf52ca5f6b1bbe287f44e5d551a081a983ff3ea2082867863
  url: https://pypi.io/packages/source/z/zstandard/zstandard-0.19.0.tar.gz
build:
  number: '1'
  string: py310hdeb6495_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 h6ceecb4_0
    - binutils_linux-64 2.39 h5fc0e48_11
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_11
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hc81fddc_0
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libsanitizer 10.4.0 h5246dfb_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.9.24 ha878542_0
    - cffi 1.15.1 py310h255011f_2
    - ld_impl_linux-64 2.39 hc81fddc_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.40.0 h753d276_0
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.7 h166bdaf_0
    - pip 22.3.1 pyhd8ed1ab_0
    - pycparser 2.21 pyhd8ed1ab_0
    - python 3.10.6 ha86cf86_0_cpython
    - python_abi 3.10 2_cp310
    - readline 8.1.2 h0f457ee_0
    - setuptools 65.5.1 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2022f h191b570_0
    - wheel 0.38.4 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.2 h6239696_4
  run:
    - cffi >=1.11
    - libgcc-ng >=12
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
    - zstd >=1.5.2,<1.6.0a0
test:
  commands:
    - pip check
  imports:
    - zstandard
  requires:
    - pip
about:
  description: 'This project provides Python bindings for interfacing with the

    Zstandard compression library. A C extension and CFFI interface are

    provided.

    '
  dev_url: https://github.com/indygreg/python-zstandard
  doc_url: https://github.com/indygreg/python-zstandard/blob/master/README.rst#python-zstandard
  home: https://github.com/indygreg/python-zstandard
  license: BSD-3-Clause
  license_file: LICENSE
  summary: Zstandard bindings for Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - rmax
    - xhochy
